Skip to content

Apply automatic corrections

POST
/articles/apply

Scans each article and applies only corrections from rules where auto_fix=true. The endpoint returns corrected article data but does not update an external article system or store violations.

Authorizations

apiKeyAuth

CoinPost API key

Type
API Key (header: CP-X-API-KEY)

Request Body

application/json
JSON
{
  
"articles": [
  
  
{
  
  
  
"id": "string",
  
  
  
"title": "string",
  
  
  
"summary": "string",
  
  
  
"content": "string",
  
  
  
"tags": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"source": "string",
  
  
  
"language": "string"
  
  
}
  
]
}

Responses

Applied corrections and corrected articles

application/json
JSON
[
  
{
  
  
"article_id": "string",
  
  
"applied_count": 0,
  
  
"applied": [
  
  
  
{
  
  
  
  
"article_id": "string",
  
  
  
  
"entity_id": "string",
  
  
  
  
"rule_id": "string",
  
  
  
  
"field": "string",
  
  
  
  
"original_text": "string",
  
  
  
  
"corrected_text": "string",
  
  
  
  
"language": "string",
  
  
  
  
"start_offset": 0,
  
  
  
  
"end_offset": 0,
  
  
  
  
"auto_fixable": true,
  
  
  
  
"requires_approval": true
  
  
  
}
  
  
],
  
  
"corrected_article": {
  
  
  
"id": "string",
  
  
  
"title": "string",
  
  
  
"summary": "string",
  
  
  
"content": "string",
  
  
  
"tags": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"source": "string",
  
  
  
"language": "string"
  
  
}
  
}
]

Playground

Authorization
Body

Samples